/**
 *  viewAction
 * 
 *  @author   $Author: mumincacao $
 *  @version  $Name:  $ $RCSfile: viewAction.js,v $ $Revision: 1.2 $ $Date: 2006/12/22 11:13:26 $
 * 
 *  @requires mController
 *  @member   mController
**/
{
 /**
  *  defaultView
  * 
  *  @private
 **/
 this._defaultView = 'executeViewIndex';

 /**
  *  seasonName
  * 
  *  @private
 **/
 this._seasonName = null;

 /**
  *  init
  * 
  *  @param   mModel  model  // target model object
  * 
  *  @return  void
 **/
 this.init = function(model)
 {
 };

 /**
  *  execute
  * 
  *  @param   mRequst  request  // request object
  *  @param   string   season   // arguments
  * 
  *  @return  string
 **/
 this.execute = function(request,season)
 {
  this._seasonName = season;
  // return view name string
  return this._defaultView;
 };

 /**
  *  executeViewIndex
  * 
  *  @param   mRender  render  // render object
  * 
  *  @return  void
 **/
 this.executeViewIndex = function(render)
 {
  // set template file
  render.setTemplate('season.html');
  // set render target object
  render.setRenderTarget(DomUtils.getObject('tabwindow'));
  // set render value
  var val = {'Title' : mUtils.language.getLanguage('tabview' + this._seasonName + 'Title')};
  var arr = ['Temp','Ani','Food','Spec'];
  for(var i in arr)
  {
   val[arr[i] + 'Lab'] = mUtils.language.getLanguage('tabview' + arr[i] + 'Lab');
   val[arr[i] + 'Var'] = mUtils.language.getLanguage('tabview' + this._seasonName + arr[i] + 'Var');
  }
  render.setRenderValue(val);
 };

};
